import FWCore.ParameterSet.Config as cms

process = cms.Process("TEST")

process.MessageLogger=cms.Service("MessageLogger",
                              destinations=cms.untracked.vstring("cout"),
                              cout=cms.untracked.PSet(
                              treshold=cms.untracked.string("INFO")
                              )
)

process.load("CondCore.DBCommon.CondDBCommon_cfi")
process.CondDBCommon.connect = cms.string('sqlite_file:testExample.db')
process.CondDBCommon.DBParameters.authenticationPath = cms.untracked.string('/afs/cern.ch/cms/DB/conddb')

process.source = cms.Source("EmptyIOVSource",
    timetype = cms.string('runnumber'),
#    firstRun = cms.untracked.uint32(1),
#    lastRun = cms.untracked.uint32(1),*
    firstValue = cms.uint64(1),
    lastValue  = cms.uint64(1),
    interval = cms.uint64(1)
)

process.PoolDBOutputService = cms.Service("PoolDBOutputService",
    process.CondDBCommon,
    timetype = cms.untracked.string('runnumber'),
    toPut = cms.VPSet(cms.PSet(
        record = cms.string('EcalMappingElectronicsRcd'),
        tag = cms.string('mytest')
         )),
    logconnect= cms.untracked.string('sqlite_file:logtestEcalMappingElectronics.db')                                     
)

process.mytest = cms.EDAnalyzer("EcalMappingElectronicsAnalyzer",
    record = cms.string('EcalMappingElectronicsRcd'),
    loggingOn= cms.untracked.bool(True),
    SinceAppendMode=cms.bool(True),
    Source=cms.PSet(
    txtFile = cms.untracked.string('Geometry/EcalMapping/data/EEMap.txt'),
    since = cms.untracked.int64(1),
    name =  cms.untracked.string('EcalMappingElectronicsHandler')
    )                            
                                
)

process.p = cms.Path(process.mytest)




